Get System Typing Users
GET /obp/v7.0.0/chat-rooms/CHAT_ROOM_ID/typing-indicators
OBPv6.0.0-getSystemTypingUsers No role required Chat
Get the list of users currently typing in a system-level chat room.
Authentication is Required
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
CHAT_ROOM_ID: CHAT_ROOM_ID
JSON response body fields (4)
Example success response
{
"users": [
{
"user_id": "user-id-123",
"username": "robert.x.0.gh",
"provider": "https://github.com"
}
]
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-39001: Chat Room not found. Please specify a valid value for CHAT_ROOM_ID.
- OBP-39004: Current user is not a participant of this Chat Room.
- OBP-50000: Unknown Error.